#
#	Map TeX font encoding and character code to PostScript name
#	Copyright 1996 Richard J. Kinch
#	Kinch, December 1994, December 2000
#
#	Use: charname encoding-file decimal-char-code
#
if [ $# -ne 2 ]
then
    echo Use: $0 encoding-file char-code
    exit 1
fi
if [ ! -f $1 ]
then
    echo $0: cannot open $1
    exit 1
fi
code=$2
N=`echo $code | awk '{ printf "%02x", $1 }'`
grep -i "^$N[ 	]" $1 | sed -e 's/^.*[ 	][ 	]*//'
exit 0
