#
#	Compare two .cod encodings and for each code in the first file,
#	list second file codes which differ
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, May 1996
#
#	Use:	awk -f compare.awk base-encoding-name extended-encoding-name
BEGIN {
    if (ARGC!=3) {
	printf "Use: gawk -f compare.awk 1st-encoding.cod 2nd-encoding.cod\n"
	exit
	}

    first = ARGV[1]				# Base font name
    second = ARGV[2]				# External font name

    while (getline < first > 0) { name1[$1] = $2 } close(first)
    while (getline < second > 0) { name2[$1] = $2 } close(second)

    for (i in name1) {
	if (name1[i] !~ name2[i]) printf "%s: %s %s\n", i, name1[i], name2[i]
	}
    }
